package com.prolog.cs.biz.outbound.model.dto;

import com.prolog.cs.biz.outbound.model.WAVE_STATUS;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class WavesHeaderQueryDTO {

    @ApiModelProperty(value = "当前页码", required = true)
    private Integer pageSize;

    @ApiModelProperty(value = "每页数量", required = true)
    private Integer pageNum;

    @ApiModelProperty(value = "波次编号")
    private String wavesCode;

    //    @ApiModelProperty(value = "单据类型")
    //    private String refBilltype;
    //
    //    @ApiModelProperty(value = "单据ID")
    //    private String refBillid;
    //
    //    @ApiModelProperty(value = "单据号")
    //    private String refBillno;

    @ApiModelProperty(value = "货主ID")
    private String consignorid;

    @ApiModelProperty(value = "出库仓库ID")
    private String branchid;

    @ApiModelProperty(value = "状态")
    private WAVE_STATUS status;

    @ApiModelProperty(value = "开始日期")
    private Date startDate;

    @ApiModelProperty(value = "结束日期")
    private Date endDate;

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public String getWavesCode() {
        return wavesCode;
    }

    public void setWavesCode(String wavesCode) {
        this.wavesCode = wavesCode;
    }

    public String getConsignorid() {
        return consignorid;
    }

    public void setConsignorid(String consignorid) {
        this.consignorid = consignorid;
    }

    public String getBranchid() {
        return branchid;
    }

    public void setBranchid(String branchid) {
        this.branchid = branchid;
    }

    public WAVE_STATUS getStatus() {
        return status;
    }

    public void setStatus(WAVE_STATUS status) {
        this.status = status;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
